/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package weld.lab1.domain;

import java.math.BigDecimal;
import javax.enterprise.context.RequestScoped;
import javax.enterprise.inject.Model;
import javax.inject.Inject;
import weld.lab1.service.PaymentService;
import weld.lab1.service.SimpleService;

/**
 * Payment domain object
 *
 * @author wayne
 */
@Model
@RequestScoped
public class Payment {
    private String account = "nobody";
    private BigDecimal amount = new BigDecimal("0.0");

    @Inject @SimpleService
    private PaymentService paymentService;

    public void pay(){
        if(paymentService != null){
            paymentService.pay(account, amount);
        }
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getAccount() {
        return account;
    }

    public BigDecimal getAmount() {
        return amount;
    }
}
