/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package weld.lab1.interceptor;

import javax.inject.Inject;
import javax.interceptor.AroundInvoke;
import javax.interceptor.Interceptor;
import javax.interceptor.InvocationContext;
import org.slf4j.Logger;

/**
 * Audit intercetpor
 *
 * @author wayne
 */
@Audited
@Interceptor
public class AuditInterceptor {
    @Inject Logger logger;

    @AroundInvoke
    public Object audit(InvocationContext context) throws Exception{
        logger.info("Method {} on Bean {} invoked.", context.getMethod(), context.getClass());
        return context.proceed();
    }
}
